curl --request POST \
--url 'https://api.stateset.com/api/v1/payment-obligations/{id}/payments' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"amount": "string"
}'
{
"amount": "string",
"amount_paid": "string",
"currency": "string",
"due_date": "string",
"id": "string",
"number": "string",
"outstanding": "string",
"status": "string",
"supplier_id": "string"
}
Record payment
Record payment
POST
/
api
/
v1
/
payment-obligations
/
{id}
/
payments
curl --request POST \
--url 'https://api.stateset.com/api/v1/payment-obligations/{id}/payments' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"amount": "string"
}'
{
"amount": "string",
"amount_paid": "string",
"currency": "string",
"due_date": "string",
"id": "string",
"number": "string",
"outstanding": "string",
"status": "string",
"supplier_id": "string"
}
Path parameters
string
required
Payment obligation ID
Request body
RecordPaymentRequest
string
required
Payment amount as a string.
Responses
PaymentObligationResponse
ErrorBody
curl --request POST \
--url 'https://api.stateset.com/api/v1/payment-obligations/{id}/payments' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"amount": "string"
}'
{
"amount": "string",
"amount_paid": "string",
"currency": "string",
"due_date": "string",
"id": "string",
"number": "string",
"outstanding": "string",
"status": "string",
"supplier_id": "string"
}
โI